package cz.vutbr.feec.session.feedback;

import oldPackets.LMSPacket;
import oldPackets.LMVPacket;
import cz.vutbr.feec.packets.ttp.FTDPacket;
import cz.vutbr.feec.packets.ttp.FTIPacket;
import cz.vutbr.feec.packets.ttp.FTSPacket;

/**
 * The listener class for receiving send/receive events.
 */
abstract public class EventAdaptor implements EventListener {

	public void received(FTDPacket packet) {
	}

	public void received(FTIPacket packet) {
	}

	public void received(FTSPacket packet) {
	}

	public void received(LMSPacket packet) {
	}

	public void received(LMVPacket packet) {
	}

	public void sent(FTDPacket packet) {
	}

	public void sent(FTIPacket packet) {
	}

	public void sent(FTSPacket packet) {
	}

	public void sent(LMSPacket packet) {
	}

	public void sent(LMVPacket packet) {
	}
}
